package com.ximai.mes.kanban.dto.equipment;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Data
public class EquipmentStatDto {

    @ApiModelProperty("利用率")
    BigDecimal equipAvailability;
    @ApiModelProperty("总产量")
    BigDecimal totalOutput;
    @ApiModelProperty("设备数")
    Integer equipNum=0;
    @ApiModelProperty("合格率")
    BigDecimal qualifiedRatio;
    @ApiModelProperty("异常数")
    Integer abnormalNum=0;
    @ApiModelProperty("待处理数")
    Integer unProcessNum=0;
    @ApiModelProperty("设备列表")
    Map<String, List<EquipmentInfo>> equipMap;
    @ApiModelProperty("异常信息列表")
    List<AbnormalInfo> abnormalInfoList;

    @Data
    public static class EquipmentInfo{
        @ApiModelProperty("产线名称")
        String lineName;
        @ApiModelProperty("设备名称")
        String equipmentNo;
        @ApiModelProperty("设备名称")
        String equipmentName;
        @ApiModelProperty("日产出")
        BigDecimal output;
        @ApiModelProperty("产出率")
        BigDecimal outputRatio;
        @ApiModelProperty("状态，0：加工中、1：未加工，2：停工")
        int state;
    }

    @Data
    public static class AbnormalInfo{
        @ApiModelProperty("设备名称")
        String equipmentNo;
        @ApiModelProperty("设备名称")
        String equipmentName;
        @ApiModelProperty("原因")
        String cause;
        @ApiModelProperty("状态,NOT：待处理，SUBMIT：处理中")
        String state;
    }
}
